Package: org.gradle.api.reporting

## [Java] Interface ConfigurableReport

- org.gradle.api.reporting.ConfigurableReport

- All Superinterfaces:
    Report

  A file based report to be created with a configurable destination.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Report` | `NAMER`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setDestination(Object file)` Sets the destination for the report.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Report` | `getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public void setDestination(Object file)

      Sets the destination for the report. The file parameter is evaluated as per Project.file.

      Parameters:
        `file` - The destination for the report.